import { defineStore } from 'pinia'
import { ref } from 'vue'

export interface StrategyType {
  display_name: string
  description?: string
  created_at: number
  modified_at: number
}

export const useStrategyTypesStore = defineStore('strategy_types', () => {
  const types = ref<Record<string, StrategyType>>({})
  return { types }
})
